Bug 204081 - oprofiled fails to start when a path name is > NAME_MAX
oprofiled fails to start when a path name is > NAME_MAX
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: oprofile (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 09:54 EDT by Chris Lalancette
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2006-08-25 09:54:06 EDT
Description of problem:
When starting up the oprofile daemon via "opcontrol --start --verbose", if any
component of the file names being profiles have path names > NAME_MAX (which
happens to be 255 on RHEL3), oprofiled will fail with a ENAMETOOLONG.  While
this is a limitation of the path names, it might make sense to detect when names
are too long, and use some sort of hash to shorten them up.  I assume this would
also be the case if the entire path was > PATH_MAX (which is 4096 in RHEL3), but
I have not tested that to confirm.
Comment 1 RHEL Product and Program Management 2007-10-19 14:41:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.